/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

public class SocketClient extends gdistasi.StarzaNet.server.MySocket {
    ClientLog log;

    public SocketClient(){ //per socketTesto;
 
    }

    public SocketClient(java.net.Socket socket,ClientLog log){
	setSocket(socket);
	this.log=log;

	try {
	    
	    out=new ObjectOutputStream(getOutputStream());
	    in=new ObjectInputStream(getInputStream());

	} catch (IOException e) {   
	    System.err.println(""+e); 
	}    
	
    }

    public void writeLineAndLog(String s) throws gdistasi.StarzaNet.server.ConnessioneCaduta {
	writeLine(s);
	log.writeLineMandata(s);

    }

    public String readLineAndLog() throws gdistasi.StarzaNet.server.ConnessioneCaduta {
	String line;

	line=readLine();
	log.writeLineRicevuta(line);
    
	return line;
    }
    
    /*    public boolean riceviOkAndLog() throws gdistasi.StarzaNet.server.ConnessioneCaduta {
	boolean ris;

	ris=riceviOk();
	if (ris) log.writeLineRicevuta("OK"); else log.writeLineRicevuta("Oper. fallita");

	return ris;
      
	}*/

}

interface ClientLog {

    public void writeLineMandata(String s);
    public void writeLineRicevuta(String s);


}
