/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

public class SocketTesto extends SocketClient {
    ClientLog log;
    
    public SocketTesto(java.net.Socket socket,ClientLog log){
	setSocket(socket);
	this.log=log;
	//	pr=new PrintStream(System.out);
	try {
    
	    out=new ObjectOutputStream(getOutputStream());
	    in=new ObjectInputStream(getInputStream());
	} catch (IOException e) {   
	    System.err.println(""+e); }  
    }

    public void writeLineAndLog(String s) throws gdistasi.StarzaNet.server.ConnessioneCaduta {
	writeLine(s);
	//	log.println(s);
    }

    public String readLineAndLog() throws gdistasi.StarzaNet.server.ConnessioneCaduta {
	String line;

	line=readLine();
	//	pr.println(line);
    
	return line;
    }
    
}


