/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;


import gdistasi.StarzaNet.server.MySocket;
import gdistasi.StarzaNet.server.Utente;

import java.io.Serializable;

public abstract class ComandoBase implements Comando,Serializable {
    transient protected MySocket socket;
    Utente utente;
    static protected GestoreComandiClient gesClient;

    protected Exception exception;

    public ComandoBase(){

    }

    public MySocket getSocket(){
	return socket;
    }


    public void setSocket(MySocket socket){
	this.socket=socket;
    }
    
    public void inizializza(){

    }

    public Exception getException(){
	return exception;
    }

    public void setUtente(Utente utente){
	this.utente=utente;
    }

    public GestoreComandiClient getGestoreParteClient(){
	return gesClient;
    }

    public void setGestoreParteClient(GestoreComandiClient ges){
	    this.gesClient=ges;
    }








}
