/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server;


import gdistasi.StarzaNet.server.telefono.NumberTel;

import java.util.Vector;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.w3c.dom.Node;

public class Tel {
    String[] comando;
    Vector numbers;
    Logger log;
    boolean squilloFatto;


    public Tel(Node n){
	numbers= new Vector(10);

	String[] strNum;
	String fileTariffa;


	log=Environment.getLogger();

	comando=Conf.parseString(Util.parseSlash(n.getChildNodes().item(0).getFirstChild().getNodeValue()));
	strNum=Conf.parseString(n.getChildNodes().item(1).getFirstChild().getNodeValue());

	for (int i=0; i<strNum.length; i++)
	    numbers.add(new NumberTel(strNum[i]));
	

	log.log(Level.INFO,"Numeri da squillare: "+Util.toString(strNum));
	



    }

    public void addNumber(Number num){
	if (numbers.indexOf(num)==-1){
	    numbers.add(num);
	    log.log(Level.INFO,"Numero da squillare aggiunto: "+num.toString());
	}
    }

    public boolean daSquillare(){
	return !squilloFatto;
    }

    
    public void addNumber(Number[] number){
	for (int i=0; i<number.length; i++){
	    addNumber(number[i]);
	}

    }

    public void squilla(long time){
	squilloFatto=true;
	Util.eseguiSenzaAspettare(Util.unisci(comando,getNum()));
    }

    public void preparaSq(){
	squilloFatto=false;
    }

    public void squillaEdAttendi(long time){
	squilloFatto=true;
	Util.esegui(Util.unisci(comando,getNum()));
    }

    protected String[] getNum(){
	int size=numbers.size();
	String[] ret=new String[size];

	for (int i=0; i<size; i++){
	    ret[i]=numbers.get(i).toString();
	}
	
  	return ret;
    }


}
