/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server;


import gdistasi.StarzaNet.server.telefono.Orario;

import java.util.logging.Level;
import java.io.*;


public class Util {

    //   static String[] comandoPerSquillare1={"/bin/bash","/usr/local/sbin/squilla.sh",Environment.directory+"numeri1"};
    // static String[] comandoPerSquillare2={"/bin/bash","/usr/local/sbin/squilla.sh",Environment.directory+"numeri2"};

    static public int eseguiSenzaAspettare(String[] comando)  {
	Runtime runtime=Runtime.getRuntime();
	Process processo=null;
	StringBuffer logComando=new StringBuffer();
	int ret=0;

	
	for (int i=0; i<comando.length; i++){
	    logComando.append(comando[i]+" ");
	}

	Environment.getLogger().log(Level.INFO,"Eseguo: "+logComando.toString());
	
	try {
	    processo=runtime.exec(comando);
	} catch (java.io.IOException e){
	    Environment.getLogger().log(Level.WARNING,"",e);
	    ret=1;
	}
	
	return ret;
    } 

    public static String[] unisci(String[] uno, String[] due){
	String[] ret=new String[uno.length+due.length];

	for (int i=0; i<uno.length; i++){
	    ret[i]=uno[i];
	}
	for (int i=uno.length; i<uno.length+due.length; i++){
	    ret[i]=due[i-uno.length];
	}

	return ret;

    }


    static public boolean possoSquillareTutti(long time){
	boolean ris=false;
	
	Orario orario = new Orario(time);

	if ((orario.getOra()>=8) && (orario.getOra()<=21))
		ris=true;

	return ris;

    }

    static public String setLength(String str, int length){
	StringBuffer newS=new StringBuffer(str);
	int len=str.length();

	if (len>length)
	    return str.substring(0,length);
	else {
	    for (int i=len; i<length; i++)
		newS.append(" ");
	}
	
	return newS.toString();


    }

    static public int esegui(String[] comando)  {
	Runtime runtime=Runtime.getRuntime();
	Process processo=null;
	int ret=0;
	StringBuffer logComando=new StringBuffer();
	try {
   
	    for (int i=0; i<comando.length; i++){
		logComando.append(comando[i]+" ");
	    }

	    Environment.getLogger().log(Level.INFO,"Eseguo: "+logComando.toString());

	    processo=runtime.exec(comando);
	    processo.waitFor();
	    ret=processo.exitValue();

	    
	    Environment.getLogger().log(Level.INFO,"Exit value: "+ret);
	    
	    Thread.sleep(500);

	} catch (java.io.IOException e){
	    System.err.println(e+" "+"nell'avviare: '"+comando[0]+"'");
	    ret=1;
	} catch (InterruptedException e){
	    System.err.println("errore in attesa dopo connessione");
	}

	return ret;
    }


    public static String toString(String[] str){
	StringBuffer buf=new StringBuffer();

	for (int i=0; i<str.length; i++){
	    buf.append(str[i]);
	    if (i!=str.length-1) buf.append(" ");
	}

	return buf.toString();
    }

    public static String parseSlash(String in){
	return in;
	//return in.replaceAll("[/\\\\]",File.separator);
    }



}
