/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.bacheca;

import gdistasi.StarzaNet.server.Environment;

import java.io.IOException;

public class Bacheca {
    FileMessaggi fileMessaggi;

    public Bacheca(){
	try {
	    fileMessaggi=new FileMessaggi(Environment.getFileMessaggi());
	    
	    fileMessaggi.carica();
	    fileMessaggi.cancellaMessaggiVecchi();
	} catch (IOException e){
	    System.err.println(e+" in bacheca");
	}
    }

    public void add(Messaggio msg) throws IOException {
	fileMessaggi.add(msg);
    }

    public FileMessaggi getFileMessaggi(){
	return fileMessaggi;
    }

}
