/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.comandi;

import gdistasi.StarzaNet.server.MySocket;
import gdistasi.StarzaNet.server.Utente;

import java.io.IOException;


public interface Comando {

    public void inizializza();
    public void setUtente(Utente utente);
    public void eseguiParteServer();
    public void setGestoreParteServer(GestoreComandi ges);
    public void setSocket(MySocket soc);
    public void esegui() throws IOException ;
    public GestoreComandi getGestoreParteServer();

    public MySocket getSocket();
    public Exception getException();


}
