/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.comandi;


import gdistasi.StarzaNet.server.MySocket;
import gdistasi.StarzaNet.server.Utente;

import java.io.Serializable;

public abstract class ComandoBase implements Comando,Serializable {
    transient protected MySocket socket;
    transient protected Utente utente;
  
    static protected GestoreComandi gesServer;

    protected Exception exception;

    public ComandoBase(){

    }

    public MySocket getSocket(){
	return socket;
    }


    public void setSocket(MySocket socket){
	this.socket=socket;
    }
    
    public void inizializza(){

    }

    public Exception getException(){
	return exception;
    }

    public Utente getUtente(){
	return utente;
    }

    public void setUtente(Utente utente){
	this.utente=utente;
    }

    public void setGestoreParteServer(GestoreComandi ges){
	this.gesServer=ges;
    }


    abstract public void esegui() throws java.io.IOException;

    public GestoreComandi getGestoreParteServer(){
	return gesServer;
    }

}
