/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.comandi;

import gdistasi.StarzaNet.server.PassException;

import java.io.IOException;


public class ComandoCambiaPassword extends ComandoBase {
    String vecchia;
    String nuova;

    static public String type="comandoCambiaPassword";

    public int getType(){
	return 10;
    }

    public void eseguiParteServer(){

    }

    public void esegui() throws IOException {
	int errore=0;

	try {
	    vecchia=socket.readUTF();
	    nuova=socket.readUTF();
	    getGestoreParteServer().cambiaPass(getUtente(),vecchia,nuova);
	} catch (PassException e){
	    errore=1;
	} catch (IOException e){
	    errore=2;
	} finally {
	    socket.writeInt(errore);
	}
	


    }
}





