/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.gestione;

import java.util.ArrayList;
import java.util.Vector;

public class DatiConnessioneS {
    ArrayList datiConnessione;


    public DatiConnessioneS(){
	datiConnessione=new ArrayList(40);
    }

    public DatiConnessioneS(ArrayList ar){
	datiConnessione=ar;

    }

    public DatiConnessioneS(Vector ar){
	datiConnessione=new ArrayList(ar.size());
	datiConnessione.add(ar);
    }


    public DatiConnessioneS(DatiConnessione[] dati){
	datiConnessione=new ArrayList(dati.length);
	datiConnessione.add(dati);
    }


    /*    public DatiRiepilogo getDatiRiepilogo(){
	DatiRiepilogo datiRiep=new DatiRiepilogo();
	float[] totali=getTotali();

	datiRiep.setCostoTotale(totali[0]);
	datiRiep.setRisparmio(totali[1]);


	}*/

    public DatiConnessioneS filtra(Selezionatore selez){
	DatiConnessioneS datiNew=new DatiConnessioneS();
	DatiConnessione dato;
	for (int i=0; i<size(); i++){
	    dato=get(i);
	    if (selez.test(dato))
		datiNew.add(dato);
	}
	return datiNew;

    }

    public int size(){
	return datiConnessione.size();

    }

    public DatiConnessione get(int i){
	//System.out.println(datiConnessione.get(i));
	return (DatiConnessione)datiConnessione.get(i);
    }

    public long getDurataTotale(){
	long durata=0;
	DatiConnessione dato;

	for(int i=0; i<datiConnessione.size(); i++){
	    dato=(DatiConnessione)datiConnessione.get(i);
	    durata+=dato.getFine()-dato.getInizio();
	}

	return durata;
    }
	
    public DatiRiepilogo getDatiRiepilogo(){
	DatiRiepilogo ret=new DatiRiepilogo();
	float[] totali =  getTotali();

	ret.setCosto(totali[0]);
	ret.setRisparmio(totali[1]);
	ret.setDurata(getDurataTotale());

	return ret;
    }

    public void add(DatiConnessione dato){
	datiConnessione.add(dato);

    }

    public float[] getTotali(){
	float[] tot=new float[2];
	DatiConnessione dato;
	tot[0]=0;
	tot[1]=0;


	for(int i=0; i<datiConnessione.size(); i++){
	    dato=(DatiConnessione)datiConnessione.get(i);

	    tot[0]+=dato.getCostoTotale();
	    tot[1]+=dato.getRisparmioTotale();
	}

	return tot;
    }


    public ArrayList getArrayList(){
	return datiConnessione;
    }






}
