/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.gestione;

import gdistasi.StarzaNet.server.Environment;

import java.io.IOException;


public class FileDatiUtente extends FileDatiConnessione {
    java.util.ArrayList datiUtente;
    //DatiConnessione[] d;
    
    public FileDatiUtente(String user) throws IOException {
	super(Environment.directory+user+".con");
	dati=new DatiUtente();
    }

    public void salva(DatiConnessione dati) throws IOException {
	super.salva(dati);
    }

    public void leggiFile() throws IOException {
	datiUtente=leggiDati();
    }

    public DatiUtente get(int i){
	return (DatiUtente)datiUtente.get(i);

    }


    public int size(){
	return datiUtente.size();
    }


    public DatiConnessioneS getTutto(){
	return new DatiConnessioneS(datiUtente);

    }

    public synchronized void aggiungiCostoFisso(FileDatiGenerali fileGenerali){
		
	long idConnessione;
	DatiGenerali gen;
	DatiUtente datoUtente;


	for (int i=0; i<size(); i++){
	    datoUtente=get(i);
	    idConnessione=datoUtente.getIdConnessione();
	
	    gen=fileGenerali.get(idConnessione);
	    //System.out.println("taaaaa"+gen.getRisparmioCostoFisso());
	    //if (gen.getCostoFissoPerUtente() < 0 || gen.getRisparmioCostoFisso()<0){ System.err.println("infinito der cazzo"); }
	    //else {
	    
	    datoUtente.setCostoFisso(gen.getCostoFissoPerUtente());
		//	datoUtente.setRisparmioCostoFisso(gen.getRisparmioCostoFisso());
	    //}
	}

    }
}
