/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.telefono;


public interface Internet {
    public void start();
    public void stop();
    public float calcolaCosto();
    public float costoTotale();
    public float getCostoFisso();
    public long getInizio();
    public boolean isAttiva();
    public long getFine();
    public long getDurata();

}
