/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.telefono;

public class Telecom extends TariffaBase {
    static float scattoAllaRisposta=(100F + (100F / 5))/1936.27F;//1936.27F;


    public Telecom(){
	super();
	Orario[] fasciePerOre={new Orario(0,0),
		 new Orario(8,0),new Orario(13,00),new Orario(18,30)};
	float rid=(21F) / 1936.27F; 
	float com=(37F) / 1936.27F;
 	float[][] fascie={ {rid,rid,rid,rid},  //Domenica
			   {rid,com,com,rid},  //Lunedi
			   {rid,com,com,rid},  //....
			   {rid,com,com,rid}, 
			   {rid,com,com,rid}, 
			   {rid,com,com,rid}, 
			   {rid,com,rid,rid} 
	};
	setFascie(fasciePerOre,fascie);
    }

    public float calcolaSconto(long temp,float costo){
	float ris=0;;

	//if (Orario.minutiIntercorsi(temp,inizio)>=15) ris=costo*0.1F;
	
	//System.out.println("min"+Orario.minutiIntercorsi(temp,inizio)+toString()+costo+" "+ris);

	return ris;
    }
    
    public float getCostoFisso(){
	return scattoAllaRisposta;
    }
 
    public String toString(){
	return "Telecom";
    }

}



















