/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.telefono;

public class Wind extends TariffaBase {
    static float scattoAllaRisposta=0;


    public Wind(){
	super();
	Orario[] fasciePerOre={new Orario(0,0),
		 new Orario(8,0),new Orario(19,00)};
	float rid=1.44F/100F*1936.27F; //0.014
	float com=1.44F/100F*1936.27F; //0.014
	float[][] fascie={ {rid,rid,rid},  //Domenica
			   {rid,com,rid},  //Lunedi
			   {rid,com,rid},  //....
			   {rid,com,rid}, 
			   {rid,com,rid}, 
			   {rid,com,rid}, 
			   {rid,com,rid} 
	};
	setFascie(fasciePerOre,fascie);
    }

    public float calcolaSconto(long temp,float costo){
	float ris=0;
	if (Orario.minutiIntercorsi(temp,inizio)>=3) ris=costo*0.2F;
	//System.out.println(ris+"TTTT");
	
	//System.out.println("min"+Orario.minutiIntercorsi(temp,inizio)+toString()+costo+" "+ris);
	return ris;
    }

    public float calcolaCostoDelSecondoSenzaSconto(long temp){
	float ris=0;
	ris=super.calcolaCostoDelSecondoSenzaSconto(inizio);
	return ris;
    }

    public String toString(){
	return "Wind";
    }
    
    public float getCostoFisso(){
	return scattoAllaRisposta;
    }

}



















