/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JOptionPane;

public class MainWinListener extends WindowAdapter {
    MainWin frame;

    String confermaUscita="Vuoi uscire veramente?\nLa connessione a internet verr terminata"; 
    String titoloConfermaUscita="Conferma uscita";;

    public MainWinListener(MainWin frame){
	this.frame=frame;

    }
    
    public void windowClosing(){
	windowClosing(null);
    }


    public void windowClosing(WindowEvent e){
	
	int confirm=0;
	if (frame.isConnesso()){
	    confirm=JOptionPane.showOptionDialog(
		    frame,
		    confermaUscita,
		    titoloConfermaUscita,
		    JOptionPane.YES_NO_OPTION,
		    JOptionPane.QUESTION_MESSAGE,
		    null,null,null
		    );
	    
	    if (confirm == 0){
		frame.exit();
	    } 
	} else frame.exit();


    }



}
