/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.bacheca;


import java.util.ArrayList;
import java.util.Vector;

import javax.swing.AbstractListModel;



public class ModelloLista extends AbstractListModel {
    Vector modello;

    public void setModello(Vector modello){
	this.modello=modello;
    }

    public ModelloLista(Vector modello){
	this.modello=modello;
    }

    public ModelloLista(){
	modello=new Vector(25);
    }

    public void clear(){
	modello.clear();
    }

    public void add(Object ob){
	int size=size();
	modello.add(ob);
	fireIntervalAdded(this,size,size);
    }

    public void add(ArrayList ar){
	int size=size();
	modello.addAll(ar);
	fireIntervalAdded(this,size,size+ar.size());
    }
   
    public int size(){
	return getSize();
    }

    public int getSize(){
	return  modello.size();
    }

    public Object getElementAt(int ind){
	return modello.get(ind);
    }
}




































































































































































































