/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;

import gdistasi.StarzaNet.server.PassException;

import java.io.IOException;

public class ComandoCambiaPassword extends ComandoBase {
    String vecchia;
    String nuova;

    static public String type="comandoCambiaPassword";

    public ComandoCambiaPassword(String vecchia,String nuova){
	this.vecchia=vecchia;
	this.nuova=nuova;
    }

    public void eseguiParteClient(){
    }

    public int getType(){
	return 10;
    }

    public void esegui() throws PassException,IOException {
	int esito;

	socket.writeUTF(vecchia);
	socket.writeUTF(nuova);
	esito=socket.readInt();

	switch (esito) {
	case 0:
	    break;
	case 2:
	case 1:
	    throw new PassException("");
	   
	}
    }


}





