/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;


import gdistasi.StarzaNet.server.gestione.DatiUtente;

import java.io.IOException;


public class ComandoDati extends ComandoBase {
    public static String type="comandoDati";
    
    DatiUtente datiConnessione;
    float costo;
    long inizio;
    long fine;
    float risparmio;
    float quotaFissa;
    float costoFissoVirtuale;
    boolean connesso;


    public ComandoDati(DatiUtente dati){
	datiConnessione=dati;
    }

    public int getType(){
	return 1;
    }

    public void esegui() throws IOException,ClassNotFoundException {
	//datiConnessione=(DatiUtente)socket.riceviObj();
	costo=socket.riceviFloat();
	inizio=socket.riceviLong();
	fine=socket.riceviLong();
	risparmio=socket.riceviFloat();
	quotaFissa=socket.riceviFloat();
	costoFissoVirtuale=socket.riceviFloat();
	//connesso=socket.riceviBoolean();
	eseguiParteClient();
    }

    public void eseguiParteClient(){
	datiConnessione.setCosto(costo);
	datiConnessione.setRisparmio(risparmio);
	datiConnessione.setSoloInizio(inizio);
	datiConnessione.setFine(fine);
	datiConnessione.setCostoFisso(quotaFissa);
	datiConnessione.setCostoFissoVirtuale(costoFissoVirtuale);
	getGestoreParteClient().getVisualizzatoreDati().accettaDati(datiConnessione);
    } 

}






