/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;

import gdistasi.StarzaNet.server.MySocket;
import gdistasi.StarzaNet.server.bacheca.FileMessaggi;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;


public class ComandoRiceviMessaggi extends ComandoBase implements Serializable {
    static public String type="comandoRiceviMessaggi";

    ArrayList messaggi;
    transient FileMessaggi fileMessaggi;
	    
    public ComandoRiceviMessaggi(){
	//System.out.println("sto eseguendo...");
	messaggi=new ArrayList(0);
    }
 
    public void esegui() throws IOException,ClassNotFoundException {
	messaggi=socket.riceviAr();
	eseguiParteClient();
    }

    public int getType(){
	return 9;
    }
    

    public void eseguiParteClient(){
	gesClient.getBacheca().aggiungiMessaggi(messaggi);

    }

    private void writeObject(ObjectOutputStream out) throws IOException {
	out.defaultWriteObject();
	//System.out.println("sto inviando i  messaggi");
	MySocket.invia(messaggi,out);
    }

    private void  readObject(ObjectInputStream in) throws IOException,ClassNotFoundException  {
	in.defaultReadObject();	
	messaggi=MySocket.ricevi(in);	
	//System.out.println("poi questo..."+messaggi);
    }

}





