/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */


package gdistasi.StarzaNet.server;

import gdistasi.StarzaNet.server.telefono.Tariffa;

import java.io.File;
import java.util.logging.LogManager;
import java.util.logging.Logger;

public class Environment {
    public static String VERSION="0.3.9";
    static public String directory;
    
    static {
	dirConf=File.separator+"etc"+File.separator+"gesline"+File.separator;

    }

    static public String FILEDATIGENERALI=directory+"generali";
    static public String SERVER="localhost";

    static public String dirConf;
    static public String FILE_LICENZA="LICENSE";
    
    static public String name="gesline";

    static public Tariffa tariffaParagone=null;

    static public int Version_Success=1;
    static public int Version_Unsuccess=2;

    //static public String[] comandoNullo={""};

    static public int porta=41001;

  
    static LogManager logManager=LogManager.getLogManager();

    static {

	Logger log=new MyLogger(Environment.name,"%h"+File.separator+"gesline%g.log");
	LogManager.getLogManager().addLogger(log);
    }



    public static int debug=0;

    public static String getFileDatiGenerali(){
	return directory+"generali";
    }

    public static String getFileMessaggi(){
	return directory+"messaggi";
    }

    public static String getDirTariffe(){
	return dirConf;
    }

    public static void setDirConf(String d){
	dirConf=d;
	//schifezza
	if  (!dirConf.substring(dirConf.length()-1).equals(File.separator)){
	    dirConf=dirConf+File.separator;
	}

    }

    public static String getFileConf(){
	return dirConf+"server.conf";
    }

    public static String getFileUtenti(){
	return dirConf+"utenti";
    }

    public static String getFileCostiFissi(){
	return directory+"costiFissi";
    }

    static public Tariffa getTariffaParagone(){
	return tariffaParagone;

    }

    public static Logger getLogger(){
	//	return Logger.global;
	return logManager.getLogger(name);

    }

    //public static String SOUND=directoryProg+"sound"+File.separator;

    public static boolean SQ=false;
}












