/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.comandi;


import gdistasi.StarzaNet.server.gestione.DatiUtente;

import java.io.IOException;


public class ComandoDati extends ComandoBase {
    static public String type="comandoDati";

    DatiUtente datiConnessione;
    float costo;
    long inizio;
    long fine;
    float risparmio;
    float quotaFissa;
    float costoFissoVirtuale;
    boolean connesso;


    public ComandoDati(){
    }

    public void esegui() throws IOException {
	eseguiParteServer();
	//socket.invia(datiConnessione);
	socket.invia(costo);
	socket.invia(inizio);
	socket.invia(fine);
	socket.invia(risparmio);
	socket.invia(quotaFissa);
	socket.invia(costoFissoVirtuale);
	//socket.invia(connesso);
    }

    public void eseguiParteServer(){
	float valori[]=getGestoreParteServer().getConnessione().getQuotaFissa(utente);
	//System.out.println("QUOTA FISSA "+valori[0]);
	try { 
	    if (!utente.isConnesso()) throw new IOException("utente e' non connesso");
	    datiConnessione=utente.getDatiConnessione();
	    costo=datiConnessione.getCosto();
	    risparmio=datiConnessione.getRisparmio();
	    inizio=datiConnessione.getInizio();
	    fine=datiConnessione.getFine();
	    quotaFissa=valori[0];
	    costoFissoVirtuale=datiConnessione.getCostoFissoVirtuale();
	    //connesso=datiConnessione.getConnesso();
	    datiConnessione.setCostoFisso(valori[0]);
	    
	    
	    //System.out.println("CONNESSIONE="+costo+" "+inizio+" "+fine);

	} catch (IOException e){
	    exception=e;
	    System.err.println(e+ " in comando dati");
	}
    }


      /* private void writeObject(java.io.ObjectOutputStream out)
	throws IOException {
	out.defaultWriteObject();
	
	//System.out.println("WRITE");
	datiConnessione.writeObject(out);
    }
    
    private void readObject(java.io.ObjectInputStream in)
	throws IOException, ClassNotFoundException {
	in.defaultReadObject();
	System.out.println("READ");
	datiConnessione=new DatiUtente();
	datiConnessione.readObject(in);
	}*/
}






