/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.comandi;

import java.io.IOException;

public class ComandoMillis extends ComandoBase {
    static public String type="comandoMillis";

    long millis;
    int ID;
    boolean autoConnect;

    public ComandoMillis(){
    }

    public void esegui() throws IOException {
	millis=socket.riceviLong();
	ID=socket.riceviInt();
	autoConnect=socket.riceviBoolean();
	eseguiParteServer();
    }
    

    public void eseguiParteServer(){
     	getGestoreParteServer().getConnessione().aggiungiMillis(utente,millis,ID,autoConnect);
    }


}
