/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.gestione;

import gdistasi.StarzaNet.server.Environment;

import java.io.IOException;
import java.util.ArrayList;

public class FileDatiGenerali extends FileDatiConnessione {
    ArrayList datiGenerali;

 public FileDatiGenerali() throws IOException {
	super(Environment.getFileDatiGenerali());
	dati=new DatiGenerali();
	
    }

    public void leggiFile() throws IOException {
	datiGenerali=leggiDati();
    }

    public DatiGenerali get(int i){
	return (DatiGenerali)datiGenerali.get(i);
    }

    public int size(){
	return datiGenerali.size();
    }

    public DatiGenerali get(long idConnessione){
	DatiGenerali  ret=null;
	int ind=datiGenerali.indexOf(new DatiGenerali(idConnessione));
	if (ind!=-1) ret=get(ind);
	return ret;

    }


    public DatiConnessioneS getTutto(){
	return new DatiConnessioneS(datiGenerali);
    }

}


