/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.server.telefono;


public class InfostradaBase extends TariffaBase {
    static float scattoAllaRisposta=0.062F; //5.16 cent + IVA=0.06192 E


    public InfostradaBase(){
	super();
	Orario[] fasciePerOre={new Orario(0,0),
		 new Orario(8,0),new Orario(13,00),new Orario(18,30)};
	float com=0.0174F; // 0.0174
	float rid=0.00924F; // 0.00924
 	float[][] fascie={ {rid,rid,rid,rid}, //Domenica
			   {rid,com,com,rid},  //Lunedi
			   {rid,com,com,rid},  //....
			   {rid,com,com,rid}, 
			   {rid,com,com,rid}, 
			   {rid,com,com,rid}, 
			   {rid,rid,rid,rid} 
	};
	setFascie(fasciePerOre,fascie);
    }

    public float calcolaSconto(long temp,float costo){
	//if (Orario.minutiIntercorsi(temp,inizio)>=15) ris=costo*0.1F;
	//System.out.println("min"+Orario.minutiIntercorsi(temp,inizio)+toString()+costo+" "+ris);
	return 0F;
    }
    
    public float getCostoFisso(){
	return scattoAllaRisposta;
    }
 
    public String toString(){
	return "InfostradaBase";
    }

}



















